[Windows] Menu key should show task bar (now produces developer alerts when pressed)
Status: Closed Start date: 2015-01-12
Priority: Low % Done: 100%
Assignee: skyjake

Category: User experience

Target version: 1.15

Description

Pressing the contextual menu key on a Windows keyboard yields an alert about an unknown key code. Ideally pressing this key
would reveal the task bar.

Associated revisions

Revision 1530dcb2 - 2015-01-18 21:16 - skyjake

Windows|Input: Menu key shows the task bar

This commit adds the Windows Menu key into the key mapping. The DDKEY
is bound to open/close the task bar in the default bindings.

The client bootstrap was updated to add the appropriate binding
when upgrading to/past build 1479.

IssuelD #1943

History

#1 - 2015-01-12 22:03 - skyjake
- Assignee set to skyjake

- Target version setto 1.15

Should be simple enough to add the key code in the Windows key mapping.

#2 - 2015-01-15 18:03 - skyjake

- Status changed from New to In Progress

#3 - 2015-01-16 12:23 - skyjake

- Priority changed from Normal to Low

#4 - 2015-01-18 10:25 - skyjake

- Subject changed from [Windows] Menu key produces alerts when pressed to [Windows] Menu key produces developer alerts when pressed
#5 - 2015-01-18 10:25 - skyjake
- Subject changed from [Windows] Menu key produces developer alerts when pressed to [Windows] Menu key should show task bar (now produces

developer alerts when pressed)

#6 - 2015-01-18 21:16 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 90

#7 - 2015-01-18 21:17 - skyjake
- % Done changed from 90 to 100

#8 - 2015-01-18 21:17 - skyjake

Code committed, although I'll still need to verify that Qt's Menu key code works for us.

#9 - 2015-01-19 08:57 - skyjake
- Status changed from Resolved to Closed

#10 - 2015-01-19 19:35 - skyjake

- Tracker changed from Bug to Feature

#11 - 2015-02-06 11:50 - danij

| can confirm that the context-menu key on a Windows keyboard now works as expected.
